Skip to main content
POST
/
v4
/
auth
/
account
Create a Tight account
curl --request POST \
  --url https://sandbox.hurdlr.com/rest/v4/auth/account \
  --header 'Authorization: Bearer <token>'
{
  "result": "SUCCESS_TEMP_PASSWORD",
  "oAuth": {
    "access_token": "00f6b2b68eb9459eab681d19aa86c6154e225068f3074d1d9b639316d5380a4c.91d620872c3b438ba33f4baaca124624",
    "refresh_token": "7369c0ee82194721ac6f633ec16206f348680736e80e4aacb85d4fbce0ee9669.56b43c61141541dc858dd8613959389a",
    "expires_in": 7776000,
    "created_at": 1599065168,
    "scope": "token"
  },
  "error": "<string>",
  "tempPassword": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.tight.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Response

200 - application/json

Successful operation

result
enum<string>
Available options:
SUCCESS,
INVALID_CREDENTIALS,
SUCCESS_TEMP_PASSWORD,
SUCCESS_PASSWORD_EXPIRED,
SUCCESS_HAS_NO_PASSWORD,
FAILURE,
SUCCESS_UPDATED,
INVALID_PLATFORM
Example:

"SUCCESS_TEMP_PASSWORD"

oAuth
object
error
string
tempPassword
string